View Issue Details

IDProjectCategoryView StatusLast Update
0007388Talerwallet (TS core)public2022-11-04 20:52
Reporterttn Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007388: CS 2.5.3 (LEVEL A) -- Label in Name
DescriptionFor user interface components with labels that include text or images of text, the
name contains the text that is presented visually.

The following page has input fields where the visible name is
merely a placeholder text. These texts are not associated with the
input fields as proper accessible names with the help of (for
example) an aria-label attribute or a label element with for an id
attributes that refer to each other. With the current solution the
visible name also isn't visible any longer as the user starts to type
an answer and the visual label isn't incorporated in the accessible
name which could cause issues for users of voice recognition
technology:
https://bank.demo.taler.net/demobanks/default#
TagsNo tags attached.

Activities

Christian Grothoff

2022-10-18 16:45

manager   ~0019219

I've now put explicit labels in front of input boxes in the bank (not sure I got all). However, not sure I've properly referenced the labels from the input boxes yet.

Christian Grothoff

2022-10-18 18:03

manager   ~0019221

I think this is fixed now. I added <label>s.

Issue History

Date Modified Username Field Change
2022-10-10 21:49 ttn New Issue
2022-10-10 21:49 ttn Status new => assigned
2022-10-10 21:49 ttn Assigned To => sebasjm
2022-10-18 16:45 Christian Grothoff Note Added: 0019219
2022-10-18 16:54 Christian Grothoff Assigned To sebasjm => Christian Grothoff
2022-10-18 18:03 Christian Grothoff Status assigned => resolved
2022-10-18 18:03 Christian Grothoff Resolution open => fixed
2022-10-18 18:03 Christian Grothoff Fixed in Version => 0.9
2022-10-18 18:03 Christian Grothoff Note Added: 0019221
2022-10-18 18:04 Christian Grothoff Target Version git (master) => 0.9
2022-11-04 20:52 Christian Grothoff Status resolved => closed